%define upstream_version 2011-03-R2
%define subrel 1

Name:		kismet
Version:	2011.03.R2
Release:	%mkrel 1
Summary:	802.11b/g network sniffer and network dissector
Group:		Networking/Other
License:	GPLv2+
Url:		http://www.kismetwireless.net
Source0:	http://www.kismetwireless.net/code/%{name}-%{upstream_version}.tar.gz
BuildRequires:	libncurses-devel 
BuildRequires:	libpcap-devel
BuildRequires:	imagemagick-devel
BuildRequires:	wget
BuildRequires:	flex 
BuildRequires:	bison
BuildRequires:	gpsd-devel
BuildRequires:	gmp-devel
BuildRequires:	expat-devel
BuildRequires:	libnl-devel
BuildRequires:	libbluez-devel
BuildRequires:	openssl-devel

%description
Kismet is an 802.11b/g network sniffer and network dissector. It is
capable of sniffing using most wireless cards, automatic network IP
block detection via UDP, ARP, and DHCP packets, Cisco equipment lists
via Cisco Discovery Protocol, weak cryptographic packet logging, and
Ethereal and tcpdump compatible packet dump files. It also includes
the ability to plot detected networks and estimated network ranges on
downloaded maps or user supplied image files.

%prep
%setup -q -n %name-%upstream_version

perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(INSTGRP\)//' Makefile.in
perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(MANGRP\)//' Makefile.in

%build
%configure2_5x

%make


%install
rm -rf %buildroot
%makeinstall_std
#export KIS_SRC_DIR so plugins find kismet headers
export KIS_SRC_DIR=%_builddir/%name-%upstream_version

mkdir -p %buildroot%_libdir/%name

cd plugin-autowep
%make
install *.so %buildroot%_libdir/%name
cd ..

cd plugin-ptw
%make
install *.so %buildroot%_libdir/%name
cd ..

# gives unresolved symbols on plugin load
#cd plugin-btscan
#%%make
#install *.so %%buildroot%%_libdir/%%name
#cd ..

# gives unresolved symbols  on plugin load
#cd plugin-spectools
#%%make
#install *.so %%buildroot%%_libdir/%%name
#cd ..

#add write permission for all binaries to make stripping work
chmod u+w %buildroot%_bindir/*

%post
if [ -f %_sysconfdir/kismet.conf ] ;
then
	if ! grep -q -e "^piddir="  %_sysconfdir/kismet.conf 
	then 
		echo "piddir=/var/run/" >> %_sysconfdir/kismet.conf
	fi
fi

%files
%defattr(-,root,root)
%doc CHANGELOG GPL README RELEASENOTES.txt
%doc docs/DEVEL.* docs/README.*
%config(noreplace) %_sysconfdir/kismet.conf
%config(noreplace) %_sysconfdir/kismet_drone.conf
%_bindir/*
%_libdir/%name
%_datadir/%name
%_mandir/man1/*
%_mandir/man5/*

%changelog

* Tue Oct 18 2011 doktor5000 <doktor5000> 2011.03.R2-1.1.mga1
+ Revision: 156134
- fix order of options in sed call in %%post
- new version 2011-03-R2, switching to Newcore
- change versioning scheme to represent upstream versioning
- build additional plugins autowep and ptw, enabling aircrack integration
- remove unused BuildRequire glib-devel
- removed obsolete README.Mandriva
- fix license to GPLv2+
- drop obsolete fix.h header
- drop obsolete patches
- imported package kismet


* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 3.1.0805291-5mdv2011.0
+ Revision: 553467
- rebuild for new imagmagick

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 3.1.0805291-4mdv2010.1
+ Revision: 503705
- rebuild for new gmp

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 3.1.0805291-3mdv2010.1
+ Revision: 491376
- add patch from gentoo to have it built

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Mar 25 2009 Pascal Terjan <pterjan@mandriva.org> 3.1.0805291-2mdv2009.1
+ Revision: 361058
- Fix format-security error

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.0805291-1mdv2009.1
+ Revision: 298591
- 2008-05-R1
- drop redundant patches
- fix build
- rebuilt against libpcap-1.0.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.070101b-4mdv2008.1
+ Revision: 167678
- rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.070101b-3mdv2008.1
+ Revision: 146501
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 3.1.070101b-2mdv2008.0
+ Revision: 79859
- rebuild for libexpat

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.1.070101b-1mdv2008.0
+ Revision: 24872
- Made patch 64bits_castfix to fix x86_64 build issue.
- Updated to 2007-01-R1b.


* Thu Mar 22 2007 Michael Scherer <misc@mandriva.org> 3.1.060413-2mdv2007.1
+ Revision: 147864
- rebuild for new libmagick
- Import kismet

* Fri May 19 2006 Emmanuel Andry <eandry@mandriva.org> 3.1.060413-1mdk
- 2006-04-R1
- Change summary and description for 802.11g support
- Fix README.Mandrake
- added gps support

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.050815-2mdk
- Remove redundant buildRequires

* Sun Sep 11 2005 Michael Scherer <misc@mandriva.org> 3.1.050815-1mdk
- mkrel
- 2005-08-R1

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 3.1.050630-3mdk
- rebuilt against new Magick libs

* Tue Aug 16 2005 Pascal Terjan <pterjan@mandriva.org> 3.1.050630-2mdk
- rebuild for disappeared libdpstk.so.1

* Fri Jul 01 2005 Lenny Cartier <lenny@mandriva.com> 3.1.050630-1mdk
- 20050630

* Mon Mar 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.1.041001-4mdk
- Rebuild for new ImageMagick

* Fri Feb 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.1.041001-3mdk
- Rebuild for new ImageMagick

* Wed Nov 17 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.041001-2mdk
- add BuildRequires: flex bison

* Wed Nov 03 2004 Pascal Terjan <pterjan@mandrake.org> 3.1.041001-1mdk
- 2004-10-R1
- drop patches 0, 1 and 2

* Thu Aug 05 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-4mdk 
- rebuild for ImageMagick, patch 2

* Wed Jul 07 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-3mdk 
- rebuild for ImageMagick
- fix header inclusion

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-2mdk 
- rebuild for new gcc

* Fri Apr 09 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-1mdk 
- new version ( 2004-04-R1 )
- fixed and explain the versionning scheme

